LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XVbaMethodParameter Interface Reference

`import "XVbaMethodParameter.idl";`

Inheritance diagram for XVbaMethodParameter:

## Public Member Functions
void | setVbaMethodParameter ([in] string PropertyName, [in] any Value)
| sets the value of the parameter with the specified name.
any | getVbaMethodParameter ([in] string PropertyName)
| returns the value of the parameter with the specified name.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Member Function Documentation

## ◆ getVbaMethodParameter()

any getVbaMethodParameter | ( | [in] string | PropertyName | ) |

returns the value of the parameter with the specified name.

## ◆ setVbaMethodParameter()

void setVbaMethodParameter | ( | [in] string | PropertyName,
|  | [in] any | Value )

sets the value of the parameter with the specified name.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XVbaMethodParameter.idl